Skip to main content

Mastercard Expert Monitoring Solutions


This section shows you how to obtain the transaction fraud score assigned by Mastercard Expert Monitoring Solutions (EMS). This feature is supported only for .

Supported Processor

Prerequisite

Contact customer support to enable Mastercard Expert Monitoring Solutions for your account.

Endpoints

POST /pts/v2/payments

POST /pts/v2/payments

POST /pts/v2/payments

Example

The processorInformation.emsTransactionRiskScore response field contains the fraud score returned by Mastercard Expert Monitoring Solutions. In this example, the fraud score indicates a high likelihood (field value 843) of suspicious service station activity (field value 09).

{    "orderInformation": {        "billTo": {            "country": "US",            "lastName": "Kim",            "address1": "201 S. Division St.",            "postalCode": "48104-2201",            "locality": "Ann Arbor",            "administrativeArea": "MI",            "firstName": "Kyong-Jin",            "email": ""        },        "amountDetails": {            "totalAmount": "100.00",            "currency": "usd"        }    },    "paymentInformation": {        "card": {            "number": "555555555555xxxx",            "expirationYear": "2031",            "expirationMonth": "12",            "type": "002"        }    }}
{  "_links" : {    "authReversal" : {      "method" : "POST",      "href" : "/pts/v2/payments/6461731521426399003473/reversals"    },    "self" : {      "method" : "GET",      "href" : "/pts/v2/payments/6461731521426399003473"    },    "capture" : {      "method" : "POST",      "href" : "/pts/v2/payments/6461731521426399003473/captures"    }  },  "clientReferenceInformation" : {    "code" : "1646173152047"  },  "id" : "6461731521426399003473",  "orderInformation" : {    "amountDetails" : {      "authorizedAmount" : "100.00",      "currency" : "usd"    }  },  "paymentAccountInformation" : {    "card" : {      "type" : "002"    }  },  "paymentInformation" : {    "tokenizedCard" : {      "type" : "002"    },    "card" : {      "type" : "002"    }  },  "paymentInsightsInformation" : {    "responseInsights" : {      "categoryCode" : "01"    }  },  "processorInformation" : {    "emsTransactionRiskScore": "84309",    "systemTraceAuditNumber" : "862481",    "approvalCode" : "831000",    "merchantAdvice" : {      "code" : "01",      "codeRaw" : "M001"    },    "responseDetails" : "ABC",    "networkTransactionId" : "016153570198200",    "consumerAuthenticationResponse" : {      "code" : "2",      "codeRaw" : "2"    },    "transactionId" : "016153570198200",    "responseCode" : "00",    "avs" : {      "code" : "Y",      "codeRaw" : "Y"    }  },  "reconciliationId" : "6461731521426399003473",  "status" : "AUTHORIZED",  "submitTimeUtc" : "2023-06-09T22:19:12Z"}

Required Fields

Use these required fields to process an authorization using Mastercard Expert Monitoring Solutions.

FieldDescription
orderInformation.amountDetails.currency—
orderInformation.amountDetails.totalAmount—
orderInformation.billTo.address1—
orderInformation.billTo.administrativeArea—
orderInformation.billTo.country—
orderInformation.billTo.email—
orderInformation.billTo.firstName—
orderInformation.billTo.lastName—
orderInformation.billTo.locality—
orderInformation.billTo.postalCode—
paymentInformation.card.expirationMonth—
paymentInformation.card.expirationYear—
paymentInformation.card.number—

Response Field

This field can be returned in a response to an authorization using Mastercard Expert Monitoring Solutions:

  • processorInformation.emsTransactionRiskScore: fraud score for a Mastercard transaction.

Last published: September 29, 2026